<?php

class AdminWebsiteSecurityController extends ModuleAdminController
{
    public function __construct()
    {
		parent::__construct();
		
        $this->table = 'websitesecurity';
        $this->className = 'Websitesecurity';
        $this->lang = true;
        
    }

    public function initContent()
    {

        parent::initContent();
        $smarty = $this->context->smarty;
        $smarty->assign(array(
			'sg_tools' => $this->check_sg_tools(),
            'sg_conf' => $this->check_sg_conf(),
			'website_url' => $this->getWebsiteUrl(),
			'autologin_id' => $this->get_autologin_id(),
						)
		);
        $content = $smarty->fetch(_PS_MODULE_DIR_ . 'websitesecurity/websitesecurity.tpl');
        $smarty->assign(array(
            'content' => $this->content . $content
        ));
    }
	
	public function check_sg_tools()
	{
		$tools_file = $this->getRootPath() . DIRECTORY_SEPARATOR . 'siteguarding_tools.php';

        if (is_file($tools_file)) {
            chmod($tools_file, 0644);
            return true;
        } else {
            return false;
        }
	}
	
	public function check_sg_conf()
    {
        $conf_file = $this->getRootPath() . DIRECTORY_SEPARATOR . 'webanalyze' . DIRECTORY_SEPARATOR . 'website-security-conf.php';

        if (file_exists($conf_file)) {
            chmod($conf_file, 0644);
            return true;
        } else {
            if (!file_exists($this->getRootPath() . DIRECTORY_SEPARATOR . 'webanalyze')) {
                mkdir($this->getRootPath() . DIRECTORY_SEPARATOR . 'webanalyze');
            }
            return false;
        }
    }

    public function getRootPath()
    {
        $rootPath = substr(__DIR__, 0, strpos(__DIR__, "/modules"));
        return $rootPath;
    }
	
	public function get_autologin_id()
    {
        include_once($this->getRootPath() . DIRECTORY_SEPARATOR . 'webanalyze' . DIRECTORY_SEPARATOR . 'website-security-conf.php');
		return WEBSITE_SECURITY_AUTOLOGIN;
    }

    public function getWebsiteUrl()
    {
        $protocol = isset($_SERVER["HTTPS"]) ? 'https' : 'http';
        return $protocol . '://' . $_SERVER['HTTP_HOST'] . str_replace($_SERVER['DOCUMENT_ROOT'], "", $this->getRootPath()) . "/";
    }
}

?>