<?php

if (!defined('_PS_VERSION_')) exit;

class WebsiteSecurity extends Module
{
	public function __construct()
    {
        $this->name = 'websitesecurity';
        $this->tab = 'others';
        $this->version = '1.0';
        $this->author = 'Siteguarding.com';
        $this->need_instance = 0;
        $this->ps_versions_compliancy = array('min' => '1.6.0.0', 'max' => '1.7.9.9');
        parent::__construct();
        $this->displayName = $this->l('Website Security');
        $this->description = $this->l('Special security module to connect your website to SiteGuarding.com services.');
        $this->confirmUninstall = $this->l('Are you sure you want to uninstall?');
    }
	
	public function install()
    {
        $sql = array();
        include(dirname(__FILE__) . '/sql/install.php');
        foreach ($sql as $s)
            if (!Db::getInstance()->execute($s))
                return false;
			

		$tab_id = Tab::getIdFromClassName('AdminWebsiteSecurity');
		$languages = Language::getLanguages(false);

		if ($tab_id == false)
		{
			$tab = new Tab();
			$tab->class_name = 'AdminWebsiteSecurity';
			$tab->position = 99;
			$tab->id_parent = (int)Tab::getIdFromClassName('DEFAULT');
			$tab->module = $this->name;
			foreach ($languages as $language) {
				$tab->name[$language['id_lang']] = "Website Security";
			}
			$tab->add();
		}
		
		Configuration::updateValue('WEBSITESECURITY_CONF', '');
		
		return parent::install();
    }
	
	    public function uninstall()
    {
        $sql = array();
        include(dirname(__FILE__) . '/sql/uninstall.php');
        foreach ($sql as $s)
            if (!Db::getInstance()->execute($s))
                return false;

        Configuration::deleteByName('WEBSITESECURITY_CONF');

        $moduleTabs = Tab::getCollectionFromModule($this->name);
        if (!empty($moduleTabs)) {
            foreach ($moduleTabs as $moduleTab) {
                $moduleTab->delete();
            }
        }

        if (!parent::uninstall())
            return false;


        return true;
    }
}